import axios from "../../utils/axios";

// 权限管理

// 获取列表
export function filterList(query) {
    return axios({
        url: "/spms/inv/warehouse/filter",
        method: "get",
        params: query
    });
}

export function filterAll(query) {
    return axios({
        url: "/spms/inv/warehouse/filterAll",
        method: "get",
        params: query
    });
}


// 保存
export function saveWarehouse(data, formName, method = "post") {
    let url =
        formName !== "edit"
            ? "/spms/inv/warehouse/save"
            : "/spms/inv/warehouse/edit";
    return axios({
        url: url,
        method: method,
        data: data
    });
}

// 删除
export function deleteWarehouse(data) {
    return axios({
        url: "/spms/inv/warehouse/delete",
        method: "post",
        data: data
    });
}

//绑定第三方仓库
export function bindThrWarehouse(params) {
    return axios({
        url: "/spms/inv/warehouse/bindThrWarehouse",
        method: "post",
        params: params
    });
}

//解绑第三方仓库
export function unbindThrWarehouse(params) {
    return axios({
        url: "/spms/inv/warehouse/unbindThrWarehouse",
        method: "post",
        params: params
    });
}

//查询第三方系统和仓库数据关联信息
export function getThrsysDetail(params) {
    return axios({
        url: "/spms/inv/warehouse/thridSys/detail",
        method: "get",
        params: params
    });
}
